import{s as gt,n as xt,o as vt}from"../chunks/scheduler.7bc62968.js";import{S as wt,i as yt,g as s,s as l,r as W,A as Ct,h as o,f as i,c as a,j as ct,u as Y,x as r,k as ht,y as Lt,a as n,v as F,d as K,t as N,w as X}from"../chunks/index.66556066.js";import{H as Z}from"../chunks/Heading.3f0870db.js";function _t(tt){let d,b,M,k,u,I,m,et="Welcome to the Multimodal Text and Vision Models unit! 🌐📚👁️ In this journey, we’ll dive into the world where computers understand images, videos and text in a way how people use their senses together to understand things in the world around them.",H,p,A,f,it="Our adventure begins with understanding why blending text and images is crucial, exploring the history of multimodal models, and discovering how self-supervised learning unlocks the power of multimodality. The unit discusses about different modalities with a focus on text and vision. In this unit we will encounter:",E,c,nt=`<strong>1. Fusion of Text and Vision</strong>
This chapter serves as a foundation, enabling learners to understand the significance of multimodal data, its representation, and its diverse applications laying the groundwork for the fusion of text and vision within AI models.`,V,h,lt="In this chapter, you will:",j,g,at="<li>Understand the nature of real-world multimodal data coming from various sensory inputs that are important for human decision-making.</li> <li>Explore practical applications of multimodality in robotics, search , Visual Reasoning etc., showcasing their functionality and diverse applications.</li> <li>Learn about diverse multimodal tasks and models focusing on Image to Text, Text to Image, VQA, Document VQA, Captioning, Visual Reasoning etc.</li> <li>Conclude with an introduction on Vision Language Models and cool applications including multimodal chatbots.</li>",U,x,st=`<strong>2. CLIP and Relatives</strong>
Moving ahead, this chapter talks about the popular CLIP model and similar vision language models.
In this chapter you will:`,q,v,ot="<li>Dive deep into CLIP’s magic, from theory to practical applications, and explore its variations.</li> <li>Discover relatives like Image-bind, BLIP, and others, along with their real-world implications and challenges.</li> <li>Explore the functionality of CLIP, its applications in search, zero-shot classification, and generation models like DALL-E.</li> <li>Understand contrastive and non-contrastive losses and exploring the self-supervised learning techniques.</li>",z,w,rt=`<strong>3. Transfer Learning: Multimodal Text and Vision</strong>
In the final chapter of the unit you will:`,J,y,dt="<li>Explore diverse multimodal model applications in specific tasks, including one-shot, few-shot, training from scratch, and transfer learning, setting the stage for an exploration of transfer learning’s advantages and practical applications in Jupyter notebooks.</li> <li>Engage in detailed practical implementations within Jupyter notebooks, covering tasks such as CLIP fine-tuning, Visual Question Answering, Image-to-Text, Open-set object detection, and GPT-4V-like Assistant models, focusing on task specifics, datasets, fine-tuning methods, and inference analyses.</li> <li>Conclude by comparing previous sections, discussing benefits, challenges, and offering insights into potential future advancements in multimodal learning.</li>",S,C,D,L,ut="Get ready for a captivating experience! We’ll explore the mechanisms behind multimodal models like CLIP, explore their applications, and journey through transfer learning for text and vision.",R,_,mt="By the end of this unit, you’ll possess a solid understanding of multimodal tasks, hands-on-experience with multimodal models, build cool applications based on them, and the evolving landscape of multimodal learning.",Q,T,pt="Join us as we navigate the fascinating domain where text and vision converge, unlocking the possibilities of AI understanding the world in a more human-like manner.",B,$,ft="Let’s begin 🚀🤗✨",G,P,O;return u=new Z({props:{title:"Exploring Multimodal Text and Vision Models: Uniting Senses in AI",local:"exploring-multimodal-text-and-vision-models-uniting-senses-in-ai",headingTag:"h1"}}),p=new Z({props:{title:"Exploring Multimodality 🔎🤔💭",local:"exploring-multimodality-",headingTag:"h2"}}),C=new Z({props:{title:"Your Journey Ahead 🏃🏻‍♂️🏃🏻‍♀️🏃🏻",local:"your-journey-ahead-",headingTag:"h2"}}),{c(){d=s("meta"),b=l(),M=s("p"),k=l(),W(u.$$.fragment),I=l(),m=s("p"),m.textContent=et,H=l(),W(p.$$.fragment),A=l(),f=s("p"),f.textContent=it,E=l(),c=s("p"),c.innerHTML=nt,V=l(),h=s("p"),h.textContent=lt,j=l(),g=s("ul"),g.innerHTML=at,U=l(),x=s("p"),x.innerHTML=st,q=l(),v=s("ul"),v.innerHTML=ot,z=l(),w=s("p"),w.innerHTML=rt,J=l(),y=s("ul"),y.innerHTML=dt,S=l(),W(C.$$.fragment),D=l(),L=s("p"),L.textContent=ut,R=l(),_=s("p"),_.textContent=mt,Q=l(),T=s("p"),T.textContent=pt,B=l(),$=s("p"),$.textContent=ft,G=l(),P=s("p"),this.h()},l(t){const e=Ct("svelte-u9bgzb",document.head);d=o(e,"META",{name:!0,content:!0}),e.forEach(i),b=a(t),M=o(t,"P",{}),ct(M).forEach(i),k=a(t),Y(u.$$.fragment,t),I=a(t),m=o(t,"P",{"data-svelte-h":!0}),r(m)!=="svelte-1a5a75s"&&(m.textContent=et),H=a(t),Y(p.$$.fragment,t),A=a(t),f=o(t,"P",{"data-svelte-h":!0}),r(f)!=="svelte-qp79yh"&&(f.textContent=it),E=a(t),c=o(t,"P",{"data-svelte-h":!0}),r(c)!=="svelte-1ge9yqs"&&(c.innerHTML=nt),V=a(t),h=o(t,"P",{"data-svelte-h":!0}),r(h)!=="svelte-zr1qmf"&&(h.textContent=lt),j=a(t),g=o(t,"UL",{"data-svelte-h":!0}),r(g)!=="svelte-10s4tov"&&(g.innerHTML=at),U=a(t),x=o(t,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1mbwsdh"&&(x.innerHTML=st),q=a(t),v=o(t,"UL",{"data-svelte-h":!0}),r(v)!=="svelte-1sglzi3"&&(v.innerHTML=ot),z=a(t),w=o(t,"P",{"data-svelte-h":!0}),r(w)!=="svelte-1wkqtrn"&&(w.innerHTML=rt),J=a(t),y=o(t,"UL",{"data-svelte-h":!0}),r(y)!=="svelte-1tfdzji"&&(y.innerHTML=dt),S=a(t),Y(C.$$.fragment,t),D=a(t),L=o(t,"P",{"data-svelte-h":!0}),r(L)!=="svelte-jwgjx6"&&(L.textContent=ut),R=a(t),_=o(t,"P",{"data-svelte-h":!0}),r(_)!=="svelte-12ta0ra"&&(_.textContent=mt),Q=a(t),T=o(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-ws84xk"&&(T.textContent=pt),B=a(t),$=o(t,"P",{"data-svelte-h":!0}),r($)!=="svelte-17pwdje"&&($.textContent=ft),G=a(t),P=o(t,"P",{}),ct(P).forEach(i),this.h()},h(){ht(d,"name","hf:doc:metadata"),ht(d,"content",Tt)},m(t,e){Lt(document.head,d),n(t,b,e),n(t,M,e),n(t,k,e),F(u,t,e),n(t,I,e),n(t,m,e),n(t,H,e),F(p,t,e),n(t,A,e),n(t,f,e),n(t,E,e),n(t,c,e),n(t,V,e),n(t,h,e),n(t,j,e),n(t,g,e),n(t,U,e),n(t,x,e),n(t,q,e),n(t,v,e),n(t,z,e),n(t,w,e),n(t,J,e),n(t,y,e),n(t,S,e),F(C,t,e),n(t,D,e),n(t,L,e),n(t,R,e),n(t,_,e),n(t,Q,e),n(t,T,e),n(t,B,e),n(t,$,e),n(t,G,e),n(t,P,e),O=!0},p:xt,i(t){O||(K(u.$$.fragment,t),K(p.$$.fragment,t),K(C.$$.fragment,t),O=!0)},o(t){N(u.$$.fragment,t),N(p.$$.fragment,t),N(C.$$.fragment,t),O=!1},d(t){t&&(i(b),i(M),i(k),i(I),i(m),i(H),i(A),i(f),i(E),i(c),i(V),i(h),i(j),i(g),i(U),i(x),i(q),i(v),i(z),i(w),i(J),i(y),i(S),i(D),i(L),i(R),i(_),i(Q),i(T),i(B),i($),i(G),i(P)),i(d),X(u,t),X(p,t),X(C,t)}}}const Tt='{"title":"Exploring Multimodal Text and Vision Models: Uniting Senses in AI","local":"exploring-multimodal-text-and-vision-models-uniting-senses-in-ai","sections":[{"title":"Exploring Multimodality 🔎🤔💭","local":"exploring-multimodality-","sections":[],"depth":2},{"title":"Your Journey Ahead 🏃🏻‍♂️🏃🏻‍♀️🏃🏻","local":"your-journey-ahead-","sections":[],"depth":2}],"depth":1}';function $t(tt){return vt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class kt extends wt{constructor(d){super(),yt(this,d,$t,_t,gt,{})}}export{kt as component};
